%define fw_version 5.43

%define oname kwallet

Summary:	KDE Frameworks 5 secure and unified container for user passwords module
Name:		%{oname}-kf5
Version:	5.43.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	gpgme-devel
BuildRequires:	gpgmepp-devel
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5dbusaddons-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5notifications-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
# TODO: KF5Gpgmepp from PIM, not ready yet
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 secure and unified container for user passwords module.

This framework contains two main components:
* Interface to KWallet, the safe desktop-wide storage for passwords on KDE
  workspaces.
* The kwalletd used to safely store the passwords on KDE workspaces.

%files
%{_kde5_bindir}/kwalletd5
%{_kde5_bindir}/kwallet-query
%{_kde5_configdir}/kwallet.categories
%{_kde5_mandir}/man1/kwallet-query.1*
%{_kde5_notificationsdir}/kwalletd.notifyrc
%{_kde5_services}/kwalletd5.desktop
%{_datadir}/dbus-1/services/org.kde.kwalletd.service
%{_datadir}/dbus-1/services/org.kde.kwalletd5.service

#----------------------------------------------------------------------------

%package i18n
Summary:	KWallet translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KWallet translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5wallet_major 5
%define libkf5wallet %mklibname kf5wallet %{kf5wallet_major}

%package -n %{libkf5wallet}
Summary:	KDE Frameworks 5 user passwords container shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5wallet}
KDE Frameworks 5 user passwords container shared library.

%files -n %{libkf5wallet}
%{_kde5_libdir}/libKF5Wallet.so.%{kf5wallet_major}*

#----------------------------------------------------------------------------

%define kf5walletbackend_major 5
%define libkf5walletbackend %mklibname kf5walletbackend5_ %{kf5walletbackend_major}

%package -n %{libkf5walletbackend}
Summary:	KDE Frameworks 5 user passwords container shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5walletbackend}
KDE Frameworks 5 user passwords container shared library.

%files -n %{libkf5walletbackend}
%{_kde5_libdir}/libkwalletbackend5.so.%{kf5walletbackend_major}*

#----------------------------------------------------------------------------

%define devkf5wallet %mklibname kf5wallet -d

%package -n %{devkf5wallet}
Summary:	Development files for KDE Frameworks 5 user passwords container module
Group:		Development/KDE and Qt
Requires:	%{libkf5wallet} = %{EVRD}
Requires:	%{libkf5walletbackend} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5wallet-devel = %{version}

%description -n %{devkf5wallet}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5wallet}
%{_kde5_includedir}/KF5/KWallet/
%{_kde5_includedir}/KF5/kwallet_version.h
%{_kde5_libdir}/libKF5Wallet.so
%{_kde5_libdir}/libkwalletbackend5.so
%{_kde5_libdir}/cmake/KF5Wallet
%{_kde5_mkspecsdir}/*.pri
%{_datadir}/dbus-1/interfaces/kf5_org.kde.*.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Tue Feb 13 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (d804b72) New version 5.43.0

* Tue Dec 12 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (9d36e0e) Build requires gpgmepp-devel
- (Andrey Bondrov: 722e9a9) Update files
- (Andrey Bondrov: 463b68e) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (3980418) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (2c39b83) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (492263d) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (2df76bd) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (973932f) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (b443899) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (cfd3ee9) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (b78c8f1) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (fae7de1) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (1743750) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (338a9e0) MassBuild#1019: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (2bc476e) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (81ff0f5) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (f523fd6) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (a6c8f35) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (ebbfeb6) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (da8ae87) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (4616910) Bump release

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (7803bce) Drop datapath patch, seems to be no longer needed
- (Andrey Bondrov: b57978c) New version 5.16.0

* Tue Oct 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-2
- (f6f9f10) Fix path to dbus interfaces in cmake module

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (39f6f06) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (35e5740) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (4a8c0d0) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (489cd4d) Update files (added kwallet-query binary and man page)
- (Andrey Bondrov: d65e15a) Build requires kf5doctools-devel


